## org.apache.commons.math3.optimization.direct
Class MultivariateFunctionMappingAdapter.UpperBoundMapper

    java.lang.Object
      org.apache.commons.math3.optimization.direct.MultivariateFunctionMappingAdapter.UpperBoundMapper

All Implemented Interfaces:
  MultivariateFunctionMappingAdapter.Mapper

Enclosing class:
  MultivariateFunctionMappingAdapter

    private static class MultivariateFunctionMappingAdapter.UpperBoundMapper

extends java.lang.Object
implements MultivariateFunctionMappingAdapter.Mapper

Local class for upper bounds mapping.

Field Summary
`private double` `upper` Upper bound.

Constructor Summary
`MultivariateFunctionMappingAdapter.UpperBoundMapper(double upper)` Simple constructor.

Method Summary
`double` `boundedToUnbounded(double x)` Map a value from bounded to unbounded.
`double` `unboundedToBounded(double y)` Map a value from unbounded to bounded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### upper

    private final double upper

  Upper bound.

Constructor Detail

### MultivariateFunctionMappingAdapter.UpperBoundMapper

    public MultivariateFunctionMappingAdapter.UpperBoundMapper(double upper)

  Simple constructor.

  Parameters:
    `upper` - upper bound

Method Detail

### unboundedToBounded

    public double unboundedToBounded(double y)

  Map a value from unbounded to bounded.

  Specified by:
    `unboundedToBounded` in interface `MultivariateFunctionMappingAdapter.Mapper`
  Parameters:
    `y` - unbounded value
  Returns:
    bounded value

### boundedToUnbounded

    public double boundedToUnbounded(double x)

  Map a value from bounded to unbounded.

  Specified by:
    `boundedToUnbounded` in interface `MultivariateFunctionMappingAdapter.Mapper`
  Parameters:
    `x` - bounded value
  Returns:
    unbounded value

Copyright (c) 2003-2013 Apache Software Foundation